/* -------------------------------- 

Primary style

-------------------------------- */


html * {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

*, *:after, *:before {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  font-size: 100%;
}

body {
  font-size: 100%;
  font-family: "Source Sans Pro", sans-serif;
  color: #343642;
  background-color: #ffffff;
}

a {
  color: white;
  text-decoration: none;
}

button {
  cursor: pointer;
  border: none;
  background-color: transparent;
  outline: none;
  font-size: 1.0rem;
}

/* -------------------------------- 

Images block

-------------------------------- */
.cd-image-block {
  position: relative;
}
.cd-image-block::before {
  /* this is the layer used to cover the .cd-image-block when the content block becomes visible - mobile only */
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(52, 54, 66, 0.6);
  opacity: 0;
  visibility: hidden;
  -webkit-transition: opacity 0.3s 0s, visibility 0s 0.3s;
  -moz-transition: opacity 0.3s 0s, visibility 0s 0.3s;
  transition: opacity 0.3s 0s, visibility 0s 0.3s;
}
.cd-image-block.content-block-is-visible::before {
  opacity: 1;
  visibility: visible;
  -webkit-transition: opacity 0.3s 0s, visibility 0s 0s;
  -moz-transition: opacity 0.3s 0s, visibility 0s 0s;
  transition: opacity 0.3s 0s, visibility 0s 0s;
}
@media only screen and (min-width: 768px) {
  .cd-image-block::before {
    display: none;
  }
}

.cd-images-list::before {
  /* never visible - this is used in jQuery to check the current MQ */
  content: 'mobile';
  display: none;
}
.cd-images-list > li {
  height: 250px;
  background: #979c9c url(../img/floorplans.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(2) {
  background: #982b3c url(../img/patio2.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(3) {
  background: #982b3c url(../img/living-room1.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(4) {
  background: #982b3c url(../img/fireplace.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(5) {
  background: #338899 url(../img/no-fireplace.jpg) no-repeat center center;
  background-size: cover;
}
/*.cd-images-list > li:nth-of-type(6) {
  background: #982b3c url(../img/living-room3.jpg) no-repeat center center;
  background-size: cover;
}*/
.cd-images-list > li:nth-of-type(6) {
  background: #343642 url(../img/kitchen.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(7) {
  background: #343642 url(../img/kitchen2.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(8) {
  background: #343642 url(../img/kitchen3.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(9) {
  background: #338899 url(../img/master-bedroom.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(10) {
  background: #338899 url(../img/master-closet.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(11) {
  background: #338899 url(../img/master-bathroom.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(12) {
  background: #338899 url(../img/stairs-deck.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(13) {
  background: #338899 url(../img/deck.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(14) {
  background: #338899 url(../img/sun-deck.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(15) {
  background: #338899 url(../img/middle-bedroom.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(16) {
  background: #338899 url(../img/bedroom-closets.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(17) {
  background: #338899 url(../img/bathroom.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(18) {
  background: #338899 url(../img/basement.jpg) no-repeat center center;
  background-size: cover;
}
.cd-images-list > li:nth-of-type(19) {
  background: #338899 url(../img/lower-bedroom-sink.jpg) no-repeat center center;
  background-size: cover;
}
/*.cd-images-list > li:nth-of-type(8) {
  background: #338899 url(../img/washer-dryer.jpg) no-repeat center center;
  background-size: cover;
}*/









.cd-images-list > li > a {
  /* used to vertically align the h2 child -  mobile version only */
  display: table;
  height: 100%;
  width: 100%;
}
/*.cd-images-list h2 {
  
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  color: #ffffff;
  font-size: 62.5%;
  font-weight: 700;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}*/
@media only screen and (min-width: 768px) {
  .cd-images-list::before {
    /* never visible - this is used in jQuery to check the current MQ */
    content: 'desktop';
  }
  .cd-images-list > li > a {
    display: block;
    padding: 4em 3em;
    cursor: default;
    pointer-events: none;
  }
}

/* -------------------------------- 

Content block

-------------------------------- */
.cd-content-block {
  /* move the block outside the viewport (to the right) - mobile only */
  position: fixed;
  z-index: 6;
  top: 0;
  left: 0;
  height: 100%;
  -webkit-transform: translateX(100%);
  -moz-transform: translateX(100%);
  -ms-transform: translateX(100%);
  -o-transform: translateX(100%);
  transform: translateX(100%);
  -webkit-transition: -webkit-transform 0.3s;
  -moz-transition: -moz-transform 0.3s;
  transition: transform 0.3s;
}
.cd-content-block.is-visible {
  -webkit-transform: translateX(0);
  -moz-transform: translateX(0);
  -ms-transform: translateX(0);
  -o-transform: translateX(0);
  transform: translateX(0);
}
.cd-content-block > ul {
  height: 100%;
}
.cd-content-block > ul > li {
  position: absolute;
  height: 100%;
  padding: 2em;
  overflow-y: scroll;
  background-color: #ffffff;
  opacity: 0;
  visibility: hidden;
}
.cd-content-block > ul > li.is-selected {
  /* this is the selected content */
  position: relative;
  opacity: 1;
  visibility: visible;
  -webkit-overflow-scrolling: touch;
}
.cd-content-block h2 {
  line-height: 1.2;
  font-weight: 700;
  font-size: 2.3rem;
  margin-bottom: 1em;
}
.cd-content-block p {
  margin-bottom: 2em;
  line-height: 1.6;
  color: #85868d;
}

.cd-content-block div ul li {
  margin-bottom: 1.5em;
  line-height: .125;
  color: #85868d;
}
.cd-content-block .cd-close {
  /* 'X' icon to close the content block -  mobile only */
  position: fixed;
  top: 0;
  right: 0;
  height: 44px;
  width: 44px;
  /* image replacement */
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
  color: transparent;
  -webkit-transform: scale(0);
  -moz-transform: scale(0);
  -ms-transform: scale(0);
  -o-transform: scale(0);
  transform: scale(0);
  -webkit-transition: -webkit-transform 0.2s;
  -moz-transition: -moz-transform 0.2s;
  transition: transform 0.2s;
}
.cd-content-block .cd-close::after, .cd-content-block .cd-close::before {
  /* these are the 2 lines of the 'X' icon */
  content: '';
  position: absolute;
  left: 50%;
  top: 50%;
  width: 2px;
  height: 24px;
  background-color: #343642;
  /* Force Hardware Acceleration */
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translateZ(0);
  -moz-transform: translateZ(0);
  -ms-transform: translateZ(0);
  -o-transform: translateZ(0);
  transform: translateZ(0);
}
.cd-content-block .cd-close::after {
  -webkit-transform: translateX(-50%) translateY(-50%) rotate(45deg);
  -moz-transform: translateX(-50%) translateY(-50%) rotate(45deg);
  -ms-transform: translateX(-50%) translateY(-50%) rotate(45deg);
  -o-transform: translateX(-50%) translateY(-50%) rotate(45deg);
  transform: translateX(-50%) translateY(-50%) rotate(45deg);
}
.cd-content-block .cd-close::before {
  -webkit-transform: translateX(-50%) translateY(-50%) rotate(-45deg);
  -moz-transform: translateX(-50%) translateY(-50%) rotate(-45deg);
  -ms-transform: translateX(-50%) translateY(-50%) rotate(-45deg);
  -o-transform: translateX(-50%) translateY(-50%) rotate(-45deg);
  transform: translateX(-50%) translateY(-50%) rotate(-45deg);
}
.cd-content-block .cd-close.is-scaled-up {
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transform: scale(1);
}
.no-touch .cd-content-block .cd-close.is-scaled-up:hover {
  -webkit-transform: scale(1.2);
  -moz-transform: scale(1.2);
  -ms-transform: scale(1.2);
  -o-transform: scale(1.2);
  transform: scale(1.2);
}
@media only screen and (min-width: 768px) {
  .cd-content-block {
    /* reset style */
    position: static;
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }
  .cd-content-block > ul > li {
    /* reset style */
    opacity: 1;
    visibility: visible;
    padding: 4em 3em;
  }
  .cd-content-block > ul > li.overflow-hidden {
    /* this class is used during the animation (slider change) to hide the scrolling bar */
    overflow: hidden;
  }
  .cd-content-block h2 {
    font-size: 1.9rem;
  }
  .cd-content-block .cd-close {
    display: none;
  }
}

/* ---------------------------------------------- 

Desktop slider - both image and content blocks

---------------------------------------------- */
@media only screen and (min-width: 768px) {
  .cd-image-block,
  .cd-content-block {
    /* slider style - desktop version only */
    width: 50%;
    float: left;
    height: 100vh;
    overflow: hidden;
  }
  .cd-image-block > ul,
  .cd-content-block > ul {
    position: relative;
    height: 100%;
  }
  .cd-image-block > ul > li,
  .cd-content-block > ul > li {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    /* Force Hardware Acceleration */
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    will-change: transform;
    /* by default, the items are moved to the right - relative to their parent elements */
    -webkit-transform: translateX(100%);
    -moz-transform: translateX(100%);
    -ms-transform: translateX(100%);
    -o-transform: translateX(100%);
    transform: translateX(100%);
    -webkit-transition: -webkit-transform 0.5s;
    -moz-transition: -moz-transform 0.5s;
    transition: transform 0.5s;
  }
  .cd-image-block > ul > li.is-selected,
  .cd-content-block > ul > li.is-selected {
    /* this is the visible item */
    position: absolute;
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }
  .cd-image-block > ul > li.move-left,
  .cd-content-block > ul > li.move-left {
    /* this is the item hidden on the left */
    -webkit-transform: translateX(-100%);
    -moz-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    -o-transform: translateX(-100%);
    transform: translateX(-100%);
  }
}
/* -------------------------------- 

Slider navigation

-------------------------------- */
.block-navigation {
  /* this is the slider navigation - desktop version only */
  display: none;
}
@media only screen and (min-width: 768px) {
  .block-navigation {
    display: block;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 50%;
  }
  .block-navigation::after {
    clear: both;
    content: "";
    display: table;
  }
  .block-navigation li {
    width: 50%;
    height: 50px;
    line-height: 50px;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5);
    -webkit-transition: background 0.2s;
    -moz-transition: background 0.2s;
    transition: background 0.2s;
  }
  .block-navigation li:hover {
    background-color: rgba(0, 0, 0, 0.7);
  }
  .block-navigation li:first-of-type {
    float: left;
  }
  .block-navigation li:last-of-type {
    float: right;
  }
  .block-navigation button {
    display: block;
    height: 100%;
    width: 100%;
    color: #ffffff;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }
  .block-navigation button.inactive {
    opacity: .3;
    cursor: not-allowed;
  }
}

/* -------------------------------- 

Javascript disabled

-------------------------------- */
@media only screen and (min-width: 768px) {
  .no-js .cd-content-block {
    display: none;
  }

  .no-js .cd-image-block {
    width: 100%;
    overflow: visible;
  }

  .no-js .cd-images-list::after {
    clear: both;
    content: "";
    display: table;
  }

  .no-js .cd-images-list > li {
    position: static;
    width: 50%;
    float: left;
    height: 400px;
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -ms-transform: translateX(0);
    -o-transform: translateX(0);
    transform: translateX(0);
  }
  .no-js .cd-images-list > li.is-selected {
    position: static;
  }

  .no-js .cd-images-list > li > a {
    cursor: pointer;
    pointer-events: auto;
  }

  .no-js .block-navigation {
    display: none;
  }
}








/* NAV */

.cd-header {
  font-size: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(2, 23, 37, 0.96);
  height: 50px;
  width: 100%;
  z-index: 5;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
@media only screen and (min-width: 768px) {
  .cd-header {
    height: 80px;
    background: transparent;
    box-shadow: none;
  }
}
@media only screen and (min-width: 1170px) {
  .cd-header {
    -webkit-transition: background-color 0.3s;
    -moz-transition: background-color 0.3s;
    transition: background-color 0.3s;
    /* Force Hardware Acceleration in WebKit */
    -webkit-transform: translate3d(0, 0, 0);
    -moz-transform: translate3d(0, 0, 0);
    -ms-transform: translate3d(0, 0, 0);
    -o-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
  }
  .cd-header.is-fixed {
    /* when the user scrolls down, we hide the header right above the viewport */
    position: fixed;
    top: -80px;
    background-color: rgba(2, 23, 37, 0.96);
    -webkit-transition: -webkit-transform 0.3s;
    -moz-transition: -moz-transform 0.3s;
    transition: transform 0.3s;
  }
  .cd-header.is-visible {
    /* if the user changes the scrolling direction, we show the header */
    -webkit-transform: translate3d(0, 100%, 0);
    -moz-transform: translate3d(0, 100%, 0);
    -ms-transform: translate3d(0, 100%, 0);
    -o-transform: translate3d(0, 100%, 0);
    transform: translate3d(0, 100%, 0);
  }
  .cd-header.menu-is-open {
    /* add a background color to the header when the navigation is open */
    background-color: rgba(2, 23, 37, 0.96);
  }
}

.cd-logo {
  display: block;
  position: absolute;
  top: 50%;
  bottom: auto;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  left: .875em;
}
.cd-logo img {
  display: block;
}
@media only screen and (min-width: 768px) {
  .cd-logo {
    left: 2.6em;
  }
}

.cd-secondary-nav {
  position: absolute;
  top: 50%;
  bottom: auto;
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
  transform: translateY(-50%);
  right: 10em;
  /* hidden on small devices */
  display: none;
}
.cd-secondary-nav li {
  display: inline-block;
  margin-left: 2.2em;
}
.cd-secondary-nav a {
  display: inline-block;
  color: #343642;
  text-transform: uppercase;
  font-weight: 700;
}
@media only screen and (min-width: 768px) {
  .cd-secondary-nav {
    display: block;
  }
}

.cd-primary-nav-trigger {
  position: absolute;
  right: 0;
  top: 0;
  height: 100%;
  width: 50px;
 background-color: rgba(2, 23, 37, 0.96);
}
.cd-primary-nav-trigger .cd-menu-text {
  color: #343642;
  text-transform: uppercase;
  font-weight: 700;
  /* hide the text on small devices */
  display: none;
}

.cd-primary-nav-trigger .cd-menu-icon {
  /* this span is the central line of the menu icon */
  display: inline-block;
  position: absolute;
  left: 50%;
  top: 50%;
  bottom: auto;
  right: auto;
  -webkit-transform: translateX(-50%) translateY(-50%);
  -moz-transform: translateX(-50%) translateY(-50%);
  -ms-transform: translateX(-50%) translateY(-50%);
  -o-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  width: 18px;
  height: 2px;
  background-color: #343642;
  -webkit-transition: background-color 0.3s;
  -moz-transition: background-color 0.3s;
  transition: background-color 0.3s;
  /* these are the upper and lower lines in the menu icon */
}
.cd-primary-nav-trigger .cd-menu-icon::before, .cd-primary-nav-trigger .cd-menu-icon:after {
  content: '';
  width: 100%;
  height: 100%;
  position: absolute;
  background-color: #343642;
  right: 0;
  -webkit-transition: -webkit-transform .3s, top .3s, background-color 0s;
  -moz-transition: -moz-transform .3s, top .3s, background-color 0s;
  transition: transform .3s, top .3s, background-color 0s;
}
.cd-primary-nav-trigger .cd-menu-icon::before {
  top: -5px;
}
.cd-primary-nav-trigger .cd-menu-icon::after {
  top: 5px;
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked {
  background-color: rgba(255, 255, 255, 0);
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked::before, .cd-primary-nav-trigger .cd-menu-icon.is-clicked::after {
  background-color: white;
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked::before {
  top: 0;
  -webkit-transform: rotate(135deg);
  -moz-transform: rotate(135deg);
  -ms-transform: rotate(135deg);
  -o-transform: rotate(135deg);
  transform: rotate(135deg);
}
.cd-primary-nav-trigger .cd-menu-icon.is-clicked::after {
  top: 0;
  -webkit-transform: rotate(225deg);
  -moz-transform: rotate(225deg);
  -ms-transform: rotate(225deg);
  -o-transform: rotate(225deg);
  transform: rotate(225deg);
}
@media only screen and (min-width: 768px) {
  .cd-primary-nav-trigger {
    width: 100px;
    padding-left: 1em;
    background-color: transparent;
    height: 30px;
    line-height: 30px;
    right: 2.2em;
    top: 50%;
    bottom: auto;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
  }
  .cd-primary-nav-trigger .cd-menu-text {
    display: inline-block;
  }
  .cd-primary-nav-trigger .cd-menu-icon {
    left: auto;
    right: 1em;
    -webkit-transform: translateX(0) translateY(-50%);
    -moz-transform: translateX(0) translateY(-50%);
    -ms-transform: translateX(0) translateY(-50%);
    -o-transform: translateX(0) translateY(-50%);
    transform: translateX(0) translateY(-50%);
  }
}

a.selected {
  color: #e36767;
}

.cd-primary-nav {
  /* by default it's hidden - on top of the viewport */
  position: fixed;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
 /* background: rgba(2, 23, 37, 0.96);*/
 background: rgba(18, 39, 56, 0.96);
  z-index: 4;
  text-align: center;
  padding: 50px 0;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  overflow: auto;
  /* this fixes the buggy scrolling on webkit browsers - mobile devices only - when overflow property is applied */
  -webkit-overflow-scrolling: touch;
  -webkit-transform: translateY(-100%);
  -moz-transform: translateY(-100%);
  -ms-transform: translateY(-100%);
  -o-transform: translateY(-100%);
  transform: translateY(-100%);
  -webkit-transition-property: -webkit-transform;
  -moz-transition-property: -moz-transform;
  transition-property: transform;
  -webkit-transition-duration: 0.4s;
  -moz-transition-duration: 0.4s;
  transition-duration: 0.4s;
}
.cd-primary-nav li {
  font-size: 22px;
  font-size: 1.375rem;
  font-weight: 300;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin: .2em 0;
  text-transform: capitalize;
}
.cd-primary-nav a {
  display: inline-block;
  padding: .4em 1em;
  border-radius: 0.25em;
  -webkit-transition: background 0.2s;
  -moz-transition: background 0.2s;
  transition: background 0.2s;
}
.no-touch .cd-primary-nav a:hover {
  background-color: #e36767;
}

.cd-primary-nav .cd-label {
  color: #085D96;
  text-transform: uppercase;
  font-weight: 700;
  /*font-size: 14px;*/
  font-size: 1rem;
  margin: 2.4em 0 .8em;
}
.cd-primary-nav .cd-social {
  display: inline-block;
  margin: 0 .4em;
}
.cd-primary-nav .cd-social a {
  width: 44px;
  height: 44px;
  padding: 0;
  background-image: url("../img/cd-socials.svg");
  background-repeat: no-repeat;
  /* image replacement */
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
}
.cd-primary-nav .cd-facebook a {
  background-position: 0 0;
}
.cd-primary-nav .cd-instagram a {
  background-position: -44px 0;
}
.cd-primary-nav .cd-dribbble a {
  background-position: -88px 0;
}
.cd-primary-nav .cd-twitter a {
  background-position: -132px 0;
}
.cd-primary-nav.is-visible {
  -webkit-transform: translateY(0);
  -moz-transform: translateY(0);
  -ms-transform: translateY(0);
  -o-transform: translateY(0);
  transform: translateY(0);
}
@media only screen and (min-width: 768px) {
  .cd-primary-nav {
    padding: 80px 0;
  }
}
@media only screen and (min-width: 1170px) {
  .cd-primary-nav li {
    font-size: 30px;
    font-size: 1.875rem;

  }
  .cd-primary-nav .cd-label {
    font-size: 16px;
    font-size: 1rem;
  }
}
